Tie::StdHandle(3p)

NAME
Tie::StdHandle - base class definitions for tied handles

SYNOPSIS
    package NewHandle;
    require Tie::Handle;

    @ISA = qw(Tie::Handle);

    sub READ { ... }            # Provide a needed method
    sub TIEHANDLE { ... }       # Overrides inherited method

    package main;

    tie *FH, 'NewHandle';

DESCRIPTION
The Tie::StdHandle package provide most methods for file handles described in perltie (the exceptions are "UNTIE" and "DESTROY"). It causes tied file handles to behave exactly like standard file handles and allow for selective overwriting of methods.